| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Enumerations | Functions
OgreSharedPtr.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreAtomicScalar.h"`

## Classes
class | Ogre::SharedPtr< T >
| Reference-counted shared pointer, used for objects where implicit destruction is required. More...
struct | Ogre::SharedPtrInfo
class | Ogre::SharedPtrInfoDelete< T >
class | Ogre::SharedPtrInfoDeleteT< T >
class | Ogre::SharedPtrInfoFree< T >
struct | Ogre::SharedPtrInfoNone

## Namespaces
| Ogre

## Enumerations
enum | Ogre::SharedPtrFreeMethod { Ogre::SPFM_DELETE, Ogre::SPFM_DELETE_T, Ogre::SPFM_FREE, Ogre::SPFM_NONE }
| The method to use to free memory on destruction. More...

## Functions
template<class T , class U >
SharedPtr< T > | Ogre::dynamic_pointer_cast (const SharedPtr< U > &r)
template<class T , class U >
bool | Ogre::operator!= (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T , class U >
bool | Ogre::operator< (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T , class U >
bool | Ogre::operator== (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T , class U >
SharedPtr< T > | Ogre::static_pointer_cast (const SharedPtr< U > &r)